<?php 
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Luzuk Premium
 */
get_header(); ?>

  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
  <?php 
   if( get_theme_mod('innheadr_Opacity',true) ) {
          $innheadr_Opacity = 'opacity:'.esc_attr(get_theme_mod('innheadr_Opacity')).';';
        }
  ?>
<header class="page-main-header"  <?php  if (!empty($image)) : ?>
             style="background: url('<?php echo esc_url($image); ?>'); background-size:auto;     background-repeat: no-repeat; background-attachment: fixed;position: relative;"
              <?php endif ?>
                >
      <div class="overlay1"></div>
    <div class="container">
        <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
     <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
        ?>
        <div class="breadcrumbbox wow zoomIn">
            <div class="container">
                <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                <!--  <?php //luzuk_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
    <?php endif ?> 
    <div style="height: 150px; overflow: hidden;" ><svg viewBox="0 0 500 150" preserveAspectRatio="none" style="height: 100%; width: 100%;"><path d="M-17.21,-16.28 C361.45,147.53 137.97,-71.53 503.10,30.09 L500.00,150.00 L0.00,150.00 Z" style="stroke: none; "></path></svg></div>
</header><!-- .entry-header --> 
<div class="clearfix"></div>

<main id="innerpage-box">
	<div class="container">
           <div class="inner_contentbox">
		<div id="content-box" class="innerpage-whitebox main-timeline">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'template-parts/content', 'page' ); ?>
				<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>
			<?php endwhile; // End of the loop. ?>
            <div class="clearfix"></div>
		</div><!-- #main -->
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
            <div class="clearfix"></div>
    </div>
	</div>
</main><!-- #main -->
<?php get_footer(); ?>
