<?php
/**
 * Template Name: Contact Page
 *
 * @package Luzuk Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header"  <?php  if (!empty($image)) : ?>
             style="background: url('<?php echo esc_url($image); ?>'); background-size:auto;     background-repeat: no-repeat; background-attachment: fixed;position: relative;"
              <?php endif ?>
                >
      <div class="overlay1"></div>
    <div class="container">
        <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
     <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
        ?>
        <div class="breadcrumbbox wow zoomIn">
            <div class="container">
                <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                <!--  <?php //luzuk_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
    <?php endif ?> 
    <div style="height: 150px; overflow: hidden;" ><svg viewBox="0 0 500 150" preserveAspectRatio="none" style="height: 100%; width: 100%;"><path d="M-17.21,-16.28 C361.45,147.53 137.97,-71.53 503.10,30.09 L500.00,150.00 L0.00,150.00 Z" style="stroke: none; "></path></svg></div>
</header><!-- .entry-header --> 

<main id="innerpage-box">
	<!-- <div class="container"> -->
		<div class="inner_contentbox">
		
			<div class="ht-contactus-wrap innerpage-whitebox">
	<?php 
	
		$address = get_theme_mod('luzuk_contactus_address', 'Add Contact Address here..');
		$addressdata1 = get_theme_mod('luzuk_contactus_addressdata1', '');
		$addressdata2 = get_theme_mod('luzuk_contactus_addressdata2', '');

		$email = get_theme_mod('luzuk_contactus_email', 'info@example.com');
		$email2 = get_theme_mod('luzuk_contactus_email2', 'ourinfo@example.com');
		$phone = get_theme_mod('luzuk_contactus_phone', '+123 456 7890');
		$phone2 = get_theme_mod('luzuk_contactus_phone2', '+123 235 4568');
		$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your shortcode through customizer');
		
		$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');

		$facebook = get_theme_mod('luzuk_contactus_facebook', '//facebook.com/');
		$twitter = get_theme_mod('luzuk_contactus_twitter', '//twitter.com/');
		$instagram = get_theme_mod('luzuk_contactus_instagram', 'https://www.instagram.com/');
		$linkedIn = get_theme_mod('luzuk_contactus_linkedin', '//linkedin.com/');

		$luzuk_contactus_maptitle = get_theme_mod('luzuk_contactus_maptitle', 'LOOKING FOR SUPPORT? WE WILL LOVE TO HELP YOU OUT WITH YOUR QUERIES.');

		$luzuk_contactus_formtitle = get_theme_mod('luzuk_contactus_formtitle', 'Enquiry Now');
		$contactus_formtext = get_theme_mod('contactus_formtext', 'If you have any question. Please don’t hesitate to send us a message');
		$luzuk_contactus_mailatitle = get_theme_mod('luzuk_contactus_mailatitle', 'EMAIL US');
		$luzuk_contactus_addtitle = get_theme_mod('luzuk_contactus_addtitle', 'LOCATION');
		$luzuk_contactus_phonetitle = get_theme_mod('luzuk_contactus_phonetitle', 'CALL US');

		$contactus_title = get_theme_mod('contactus_title', 'Contact US');
		$contactus_txt = get_theme_mod('contactus_txt', 'If you need any help, please contact us or send us an email or go to our forum We are sure that you can receive our reply as soon as possible.');
	?>
			<div id="ht-contactus-wrap">
				<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12 wow zoomIn">
						<?php if($phone || $phone2 || $luzuk_contactus_phonetitle || $email || $luzuk_contactus_mailatitle || $luzuk_contactus_addtitle || $address || $addressdata1 || $addressdata2 || $facebook || $twitter || $instagram || $linkedIn){ ?>
								<div class="address-c-box wow zoomIn">
									<div class="address-box">


										<div class="col-md-3">
											<!-- <div class="contact_area "> -->
												
												<div class="contact-info " data-wow-duration="2s"> 
												<?php if($contactus_title | $contactus_txt){ ?>
													<div class="contact-title inner-area-title">
														<?php echo ($contactus_title);  ?>
													</div>
													<div class="contact-text">
														<p><?php echo ($contactus_txt);  ?></p>
													</div>
													<?php } ?> 
													
												 </div>
												<div class="clearfix"></div>	
											<!-- </div> -->
										</div>
																			
										<?php if($phone || $phone2 || $luzuk_contactus_phonetitle ){ ?>
										<div class="col-md-3">
											<div class="contact_area ">
												<div class="contact_l_area " data-wow-duration="2s">
													<i class="fa fa-phone " aria-hidden="true"></i>
												</div>
												<div class="contact-info " data-wow-duration="2s"> 
												<?php if($luzuk_contactus_phonetitle){ ?>
													<div class="contact-label">
														<?php echo ($luzuk_contactus_phonetitle);  ?>
														
													</div>
												<?php } ?> 
													<a href="tel:<?php echo $phone;?>"><?php echo $phone;?></a><br>
													<a href="tel:<?php echo $phone2;?>"><?php echo $phone2;?></a>
													<div class="clearfix"></div>	
												</div>
												<div class="clearfix"></div>	
											</div>
										</div>
										<?php } ?>
										<?php if($luzuk_contactus_addtitle || $address || $addressdata1 || $addressdata2){ ?>
										<div class="col-md-3">
											<div class="contact_area ">
												
													<div class="contact_l_area " data-wow-duration="3s">
														<i class="fa fa-map-marker " aria-hidden="true"></i>
													</div>
													<div class="contact-info " data-wow-duration="3s">
														<?php if($luzuk_contactus_addtitle){ ?>
															<div class="contact-label">
																<?php echo ($luzuk_contactus_addtitle);  ?>
															</div>
														<?php } ?>
													 	<?php echo nl2br($address); ?>
														<?php echo nl2br($addressdata1); ?>
														<?php echo nl2br($addressdata2); ?> 
													</div>
													
												<div class="clearfix"></div>	
											</div>
										</div>
										<?php } ?>

										<?php if($email || $email2 || $luzuk_contactus_mailatitle){ ?>
											<div class="col-md-3">
												<div class="contact_area contact_email">
													<div class="contact_l_area" data-wow-duration="1s">
														<i class="fa fa-envelope " aria-hidden="true"></i>
													</div>
													<div class="contact-info" data-wow-duration="1s"> 
														<?php if($luzuk_contactus_mailatitle){ ?>
														<div class="contact-label">
															<?php echo ($luzuk_contactus_mailatitle);  ?>
														</div>
														<?php } ?>
														<a href="mailto:<?php echo $email;?>"><?php echo $email;?></a>
														<a href="mailto:<?php echo $email2;?>"><?php echo $email2;?></a> 
													</div>
													<div class="clearfix"></div>
												</div>
											</div>
											<?php } ?>
									</div>
									<?php if( $facebook || $twitter || $instagram || $linkedIn){ ?>
									<!-- <div class="social_area wow pulse">
										<ul class="contact-sm-links wow zoomIn wow fadeInDown">
											<?php if(!empty($facebook)){ ?>
												<li class="wow fadeInDown" data-wow-duration="1s"><a href="<?php echo $facebook ?>" title="Facebook" target="_blank"><span class="fa fa-facebook"></span></a></li>
											<?php }?>
											<?php if(!empty($twitter)){ ?>
												<li class="wow fadeInDown" data-wow-duration="2s"><a href="<?php echo $twitter ?>" title="Twitter" target="_blank"><span class="fa fa-twitter"></span></a></li>
											<?php }?>
											<?php if(!empty($instagram)){ ?>
												<li class="wow fadeInDown" data-wow-duration="3s"><a href="<?php echo $instagram ?>" title="Instagram"target="_blank"><span class="fa fa-instagram"></span></a></li>
											<?php }?>
											<?php if(!empty($linkedIn)){ ?>
												<li class="wow fadeInDown" data-wow-duration="4s"><a href="<?php echo $linkedIn ?>" title="Linked In" target="_blank"><span class="fa fa-linkedin"></span></a></li>
											<?php }?>
										</ul>
									</div> -->
									<?php } ?>
									<div class="clearfix"></div>
								</div>
							<?php } ?>
						</div>
						<div class="col-md-12 col-sm-12 conct-bg pd-0">
							<div class="row row-eq-height">
								<div class="col-md-5 col-sm-12 pd-0">
									<?php if($luzuk_contactus_formtitle || $shortcode || $contactus_formtext ){ ?>
										<div class="Address_area wow zoomIn">
											
											<h4><?php echo ($luzuk_contactus_formtitle);  ?></h4>

											<p class="Add-area"><?php echo ($contactus_formtext);  ?></p>

											
											<div class="clearfix"></div>
											<div class="contact-page-form wow zoomIn" data-wow-duration="3s">
												<p><?php echo do_shortcode($shortcode);?></p>
												<div class="clearfix"></div>
											</div>
										</div>
									<?php } ?>
								</div>
								<div class="col-md-7 col-sm-12 pd-0" >
									<div class="contact-mapbox wow zoomIn" data-wow-duration="3s">
										<?php echo $iframe; ?>	
									</div>
								</div>
						</div>
						</div>
					<div class="clearfix"></div>
						
					</div>
				</div>
					<div class="col-md-12 col-sm-12 pd-0">
						

					</div>
				</div>
			</div>	
			<div class="clearfix"></div>
	    </div>
	<!-- </div> -->
</main>
<?php get_footer(); ?>